<?php

/**
 * @file
 * Hooks provided by the BirdSeed module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Control access to a BirdSeed script.
 *
 * Modules may implement this hook if they want to disable BirdSeed for some
 * reasons.
 *
 * @return bool|null
 *   - BIRDSEED_ACCESS_ALLOW: If BirdSeed script is allowed.
 *   - BIRDSEED_ACCESS_DENY: If BirdSeed script is disabled.
 *   - BIRDSEED_ACCESS_IGNORE: If script check is
 *
 * @ingroup node_access
 */
function hook_birdseed_access() {
  // Disable for frontpage.
  return current_path() == '<front>' ? BIRDSEED_ACCESS_DENY : BIRDSEED_ACCESS_ALLOW;
}

/**
 * Alter results of BirdSeed access check results.
 */
function hook_birdseed_access_alter(&$results) {
  // Force disable for frontpage.
  $results['my_module_check'] = current_path() == '<front>' ? BIRDSEED_ACCESS_DENY : BIRDSEED_ACCESS_ALLOW;
}

/**
 * @} End of "addtogroup hooks".
 */
